# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::LoadWriter3DS Class Reference

The LoadWriter3DS class is a ResourceLoadWriter capable of reading 3DS files. More...

`#include <io3DS.hpp>`

Inheritance diagram for vl::LoadWriter3DS:

List of all members.

## Public Member Functions

| LoadWriter3DS ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &, ResourceDatabase *) const
| Not supported yet.
bool | writeResource (VirtualFile *, ResourceDatabase *) const
| Not supported yet.

## Detailed Description

The LoadWriter3DS class is a ResourceLoadWriter capable of reading 3DS files.

Definition at line 57 of file io3DS.hpp.

## Constructor & Destructor Documentation

vl::LoadWriter3DS::LoadWriter3DS | ( | ) | `[inline]`

Definition at line 62 of file io3DS.hpp.

## Member Function Documentation

ref<ResourceDatabase> vl::LoadWriter3DS::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 64 of file io3DS.hpp.

References vl::load3DS().

ref<ResourceDatabase> vl::LoadWriter3DS::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 69 of file io3DS.hpp.

References vl::load3DS().

bool vl::LoadWriter3DS::writeResource | ( | const String & | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 75 of file io3DS.hpp.

bool vl::LoadWriter3DS::writeResource | ( | VirtualFile * | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 81 of file io3DS.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/io3DS.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:42.
Permission is granted to use this page to write and publish articles regarding Visualization Library.